Subject: Re: [urn] DOIs as an example of name/locator confusion, was URNs are not URIs

From: "John Levine" <[email-masked]>
Date: 31 May 2014 18:01:07 -0000

> Let's take the e-book example (I'm using a DOI, because
> I happen to remember where to find the resolver for them, but the
> point would be the same for any URN->http:URI resolver today):  The
> following _both_ identify the main body of an editorial in the journal
> _Nature_ of 28 May 2014:

>  doi:10.1038/509534a#article
>  http://dx.doi.org/10.1038/509534a#article

Actually, they don't.  The DOI maps to a bunch of bibliographic info
which you get if you fetch that URL and ask for JSON or bibtex.  (See
JSON below.)

As a hack, albeit the one that people use 99% of the time, if the
publisher provides a URL, the DOI web server responds with a redirect
to the publisher's URL if you ask for html, thereby in practice
turning DOIs which are supposed to be names into locators.  In your
example, the #article is a fragment in the redirected page at
www.nature.com, nothing to do with the DOI.

The original plan, which seems to have been implemented approximately
nowhere, is that institutions would run their own DOI resolvers that
can provide local copies when available, which matters for the large
amount of DOI material that is behind paywalls.

There is a documented lookup scheme for DOIs (RFCs 3650-3652) which is
also implemented approximately nowhere, so a few years ago the DOI
people threw in the towel and told people to use the URL syntax.  I
expect this is the same issue as with DDDS, URLs are good enough for
many purposes and are a whole lot easier to implement.

R's,
John

-----------------------------------------------------------
{
    "subtitle": [

    ],
    "subject": [
        "General"
    ],
    "issued": {
        "date-parts": [
            [
                2014,
                5,
                28
            ]
        ]
    },
    "score": 1.0,
    "prefix": "http://id.crossref.org/prefix/10.1038",
    "container-title": "Nature",
    "reference-count": 0,
    "page": "534-534",
    "deposited": {
        "date-parts": [
            [
                2014,
                5,
                28
            ]
        ],
        "timestamp": 1401235200000
    },
    "issue": "7502",
    "title": "Welcome, Scientific Data!",
    "type": "journal-article",
    "DOI": "10.1038/509534a",
    "ISSN": [
        "0028-0836",
        "1476-4687"
    ],
    "URL": "http://dx.doi.org/10.1038/509534a",
    "source": "CrossRef",
    "publisher": "Nature Publishing Group",
    "indexed": {
        "date-parts": [
            [
                2014,
                5,
                31
            ]
        ],
        "timestamp": 1401519310045
    },
    "volume": "509"
}